﻿@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700&display=swap');

body {
    font-family: 'Poppins', sans-serif;
    margin: 0 auto;
    padding: 0px;
    font-weight: 300;
    font-size: 18px;
    overflow: hidden;
    height: 100vh;
}

*, html {
    margin: 0;
    padding: 0px;
}

.bg-gradiente {
    height: auto;
    background: white;
}

.bg-secondary {
    background-color: #0d47a1 !important;
}

.btn-primary {
    color: #fff !important;
    background-color: #6EA6F3 !important;
    border-color: #00000059 !important;
}

    .btn-primary:hover {
        color: #fff !important;
        background-color: #5084cb !important;
    }

.text-primary {
    color: #f38a19 !important;
}

.text-white-50 {
    color: rgb(255 255 255) !important;
}

.fw-lighter {
    font-weight: !important;
}

.Informacion {
    font-size: 18px;
}

.contenedor {
    box-shadow: 0px -1px 50px 7px rgba(0,0,0,0.3);
    height: 100vh;
}

.imglogo {

}

.titulo {
    /*border-bottom: 1px solid white;*/
    font-weight: 500;
    width: max-content;
}

.btn-registro, .btn-login {
    text-align: center;
    width: auto;
    transition: 0.5s;
}

.btn-registro {
    border-radius: 7px 0px 0px 7px;
    padding: 10px;
}

.btn-login {
    border-radius: 0px 7px 7px 0px;
    padding: 10px 15px;
}


    .btn-registro a, .btn-login a {
        text-decoration: none;
        color: white;
        font-size: 13px;
    }

.textbox, input[type="date" ], select {
    background: white;
    border: none;
    border-bottom: 1px solid rgba(255,255,255,.5);
    color: rgb(0 0 0);
    width: 95%;
    font-weight: 200;
    transition: 0.5s;
    padding: 0px 0 0 5px;
    border-radius: 5px;
}

.form-control {
    display: inline-flex;
    font-size: 1.1rem;
    width: 95%;
    padding: 0px 0 0 5px;
    font-weight: 400;
    color: #000000;
    background-color: #fff;
    border: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border-radius: 0rem;
    transition: 0.5s;
    margin-bottom: 3rem !important;
}

    .form-control:focus {
        color: #212529;
        background-color: #fff;
        border-color: #ffffff00;
        outline: 0;
        box-shadow: 0 0 0 0.25rem rgb(255 255 255 / 0%);
    }

.btn {
    display: inline-block;
    
}

.cont-grande {
    height: 85vh;
}


input:focus-visible {
    outline: none;
    padding: 0;
    color: rgb(0 0 0);
}

select:focus-visible {
    color: rgb(58 130 240);
    padding: 0;
    outline: none;
}


.btn-check:focus + .btn-primary, .btn-primary:focus, .btn-check:focus + .btn, .btn:focus {
    border: none;
    box-shadow: none;
}



@media only screen and (max-width: 767.98px) {
    .contenedor {
        height: 100% !important;
    }

    body {
        overflow-y: auto;
        height: 100%;
    }

    .cont-grande {
        height: 80vh;
    }
}





@media only screen and (max-height: 430px) {

    body {
        overflow-y: auto;
        height: 100%;
    }

    .contenedor {
        height: 100% !important;
    }

    .cont-grande {
        height: 100% !important;
    }
}

.modal-backdrop {
    position: static;
}

.modal {
    background: rgba(0,0,0,0.5);
}

@media (max-width: 575.98px) {
    .textbox {
        width: 93%;
    }
}


#loading-message-container {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.8);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
}

#loading-message {
    font-size: 36px;
    color: #333;
    font-weight: bold;
    animation-name: blink 1s ease-in-out infinite;
    ;
    animation-duration: 1000ms;
    animation-iteration-count: infinite;
    transform-origin: center;
}

@keyframes blink {
    0% {
        opacity: 1;
    }

    50% {
        opacity: 0.5;
    }

    100% {
        opacity: 1;
    }
}
